Skip to main content

eth_sendRawTransaction

POST

Broadcasts a signed transaction to the network. On success, returns the transaction hash. Transaction signing must be done client-side with the private key. The node only validates the transaction.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
param[0]
signedTransactionHashstringrequired
The signed transaction is the RLP-encoded transaction payload as a hex string prefixed with 0x.To obtain a signed transaction:1. Create transaction data (sender, recipient, gas price, gas limit, value, etc.).2. RLP-encode the transaction data.3. Hash the RLP-encoded data with Keccak-256.4. Sign the hash to produce the signed transaction.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://ethereum-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_sendRawTransaction",
"params": [
"0x02f8688080808080943f39cfbaff46cb736a603269d14a7e9adf5158b488016345785d8a000080c001a005599173ee4483fa38044e8d7bf592b58a9ab598f7d4a510702d193c60af15a0a00f2d39e8202dc9d7d66a51fc67fcf1d893b20e080c6acf2b25610f5e926cfa21"
]
}'